Subject: Re: [alpine-devel] Re: help: freepbx install on alpine linux

From: Kenny Aral <[email-masked]>
Date: Fri, 16 Apr 2010 02:50:43 -0400 (EDT)

Thank you for the input Carlo. The last few days I have been 
trying to go the MySQL route and compile Asterisk. I was able to 
successfully build and install Asterisk 1.6.2 along with the 
Asterisk Add-ons, however I'm confused about how to run it. The 
README says to use the command "asterisk -vvvc", but when I did 
this the CLI command-line did not display. If I try to use 
"asterisk -r" then I get the Unable to Connect error. Are Zaptel 
and Libpri required to compile Asterisk? I did not have these 
installed when I tried to do this. I actually tried to install 
Zaptel, but I was getting an error that had something to do with 
the incorrect version of the linux-grsec apk. I was hoping to get 
a working Asterisk box before beginning the MySQL installation.

I'm going to continue in this direction for now, but I'm willing 
to try your approach with Sqlite3. Did you have any luck with this 
or did you also run into problems? This is all new to me so I 
really appreciate the help. One more question: I ran into some 
problems during the Asterisk installations when I was running 
Alpine 1.9 inside VirtualBox. I would get a memory call trace 
error after a make command. This didn't happen when I booted 
Alpine without using a virtual machine. Any ideas why?

On Tue Apr 13 08:05:41 EDT 2010, Carlo Landmeter 
<[email-masked]> wrote:

> I also have been trying to get freepbx installed on alpine few 
> weeks ago.
> Freepbx depends on sql database, and because of the design 
> philosophy
> of Alpinelinux I have tried to install it with Sqlite3 support 
> (which
> should be partially supported by Freepbpx). Some info can be 
> found
> here: 
> https://freetel.svn.sourceforge.net/svnroot/freetel/freepbx-sandbox/README.txt
>  SQLite driver should still be added to Alpinelinux asterisk 
> package
> if needed (i can send a patch if needed).
> If you would choose to use MySQL, you will have to compile 
> asterisk
> addons because this holds the mysql driver for asterisk (I have 
> tried
> this but i was not successful , not sure what the error was).
> The dependency list you mention is very outdated, i think you 
> fetched
> this one from the included readme. I suggest you go over the 
> install
> process and see what is missing.
> One bigger deb which is missing from this list is perl, some 
> scripts
> depend on perl (maybe these could be converted to another 
> language (sh
> or php).
> The tiff deps are included for fax support, I recently added fax
> support to asterisk and it should be working (depends on perl).
> 
> Sorry if all this info seems a bit messy, if you need help of 
> getting
> this to work I am willing to help. I would love to get Freepbx 
> running
> with as less deps as possible.
> 
> Carlo
> 
> On Tue, Apr 13, 2010 at 10:01 AM, Kenny Aral <[email-masked]> 
> wrote:
>> Michael, thank you for your quick response. I've made a good 
>> amount of
>> progress since my last email. I was able to successfully install 
>> the Apache
>> webserver on Alpine. The problem was because I was not running 
>> Alpine from
>> the hard drive of the Guest OS inside VirtualBox.
>> 
>> Currently, I am adapting this install procedure for Alpine:
>> http://www.freepbx.org/support/documentation/installation/install-procedure-for-centos-4-3
>> which is for CentOS Linux. As far as I can tell, these are all 
>> of the
>> dependencies needed for the install (I put x's next to the ones 
>> that I was
>> able to add with apk):
>> 
>> make ?? ?? ?? ?? ?? ??x
>> gcc ?? ?? ?? ?? ?? ?? x
>> uclibc-dev ?? ?? ??x
>> glib-dev ?? ?? ?? ??x
>> g++ ?? ?? ?? ?? ?? ?? x
>> libxml2-dev ?? ?? x
>> tiff-dev ?? ?? ?? ??x
>> mysql-server
>> php-gd ?? ?? ?? ?? ??x
>> php-mysql ?? ?? ?? x
>> installkernel ?? x
>> bison ?? ?? ?? ?? ?? x
>> ncurses-dev ?? ?? x
>> audiofile-dev
>> subversion ?? ?? ??x
>> libogg-dev ?? ?? ??x
>> openssl-dev ?? ?? x
>> mysql-dev ?? ?? ?? x
>> lame ?? ?? ?? ?? ?? ??x
>> asterisk ?? ?? ?? ??x
>> asterisk-dev ?? ??x
>> 
>> The only two dependencies I couldn't find were mysql-server and
>> audiofile-dev. The installation has gone smoothly up until 
>> trying to setup
>> the MySQL database. I'm getting the following error even though 
>> the mysql
>> process is running:
>> 
>> # mysqladmin create asterisk
>> mysqladmin: could not connect to server at 'localhost' failed
>> error: 'Access denied for user 'root'@'localhost' (using 
>> password: NO)'
>> 
>> On Fri Apr 09 13:04:10 EDT 2010, Michael Mason 
>> <[email-masked]> wrote:
>> 
>>> Message below
>>> 
>>> On Apr 9, 2010, at 4:11 AM, Kenny Aral wrote:
>>> 
>>>> Hi, my name is Kenny Aral and I'm a graduate student at the 
>>>> ??University
>>>> of Florida. I'm working on a project for a class and I'm 
>>>> ??attempting to
>>>> install FreePBX on Alpine Linux,
>>> 
>>> Thanks for the interest in the project.
>>> 
>>>> but I'm having problems and there is not much documentation to 
>>>> help ??me
>>>> with this.
>>> 
>>> Sorry you are having problems.
>>> 
>>> The best approach to this might be to have the list of programs 
>>> ??needed.
>>> Have you gone through and tried to build apks for the program 
>>> ??and its
>>> dependencies?
>>> http://alpinelinux.org/wiki/Developer_Documentation
>>> 
>>>> I know you are all probably very busy, but my professor suggested
>>>> ??emailing the Alpine developers to see if you have any 
>>>> suggestions. ??As of
>>>> now I can not seem to get the Apache web server up and running.
>>>> I've been running Alpine Linux inside VirtualBox, and when I 
>>>> try to
>>>> ??install Apache the process just crashes.
>>> 
>>> Do you have some errors of what you are getting? Package and 
>>> release
>>> ??versions? Version of alpine you are using? Bugs can be 
>>> reported here:
>>> http://bugs.alpinelinux.org/
>>> 
>>>> Aside from this, FreePBX has a lot of dependencies so it seems 
>>>> like ??a
>>>> challenging task to get this thing installed correctly. Do any 
>>>> of ??you have
>>>> any experience installing FreePBX on Alpine?
>>> 
>>> I don't. If we had a list of programs and their dependencies 
>>> that ??would
>>> help get things started.
>>> 
>>>> Any helpful advice would be greatly appreciated! Thank you.
>>> 
>>> Copying the Alpine Dev ML.
>>> 
>>> [email-masked]
>>> 
>>>> 
>>>> --
>>>> ARAL,KENNY A
>>>> 
>>> 
>>> 
>>> 
>>> 
>>> 
>> 
>> 
>> 
>> --
>> ARAL,KENNY A
>> 
>> 
>> 
>> ---
>> Unsubscribe: ??[email-masked]
>> Help: ?? ?? ?? ?? [email-masked]
>> ---
>> 
>> 
> 
> 

--
------------------ARAL,KENNY A

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Carlo Landmeter <[email-masked]>
Date: Fri, 16 Apr 2010 12:20:10 +0200

On Fri, Apr 16, 2010 at 8:50 AM, Kenny Aral <[email-masked]> wrote:
> Thank you for the input Carlo. The last few days I have been trying to go
> the MySQL route and compile Asterisk. I was able to successfully build and
> install Asterisk 1.6.2 along with the Asterisk Add-ons, however I'm confused
> about how to run it.

Why are you building asterisk when its already included in our repo?
See: http://git.alpinelinux.org/cgit/aports/tree/main/asterisk

 The README says to use the command "asterisk -vvvc",
> but when I did this the CLI command-line did not display. If I try to use
> "asterisk -r" then I get the Unable to Connect error. Are Zaptel and Libpri
> required to compile Asterisk?

No they are not, this is only needed if you use specific voip hardware.
BTW Zaptel has been replaced by Dahdi:

http://blogs.digium.com/2008/05/19/zaptel-project-being-renamed-to-dahdi/

 I did not have these installed when I tried to
> do this. I actually tried to install Zaptel, but I was getting an error that
> had something to do with the incorrect version of the linux-grsec apk. I was
> hoping to get a working Asterisk box before beginning the MySQL
> installation.

After you install Alpinelinux just issue:

apk add asterisk     <- will install asterisk
apk add asterisk-samples   <- will install sample config files

/etc/init.d/asterisk start

Now you can run asterisk -r to connect to local asterisk console

>
> I'm going to continue in this direction for now, but I'm willing to try your
> approach with Sqlite3. Did you have any luck with this or did you also run
> into problems?

I think getting Asterisk to run first and maybe with mysql support is
your best approach now.
Sqlite needs a lot of debugging and scripting (i think).

 This is all new to me so I really appreciate the help. One
> more question: I ran into some problems during the Asterisk installations
> when I was running Alpine 1.9 inside VirtualBox. I would get a memory call
> trace error after a make command. This didn't happen when I booted Alpine
> without using a virtual machine. Any ideas why?

I'm not sure about virtualbox, don't have much experience with it
(only with vmware).
I guess you already know asterisk has issues with running virtually
unless configured properly (because of timers).

If you want to do anything with Alpinelinux I suggest you to read our
wiki. It has a lot of information on how to develop on Alpinelinux.
To create packages be sure to read this info:
http://www.alpinelinux.org/wiki/Developer_Documentation

BTW, if you are successful please make notes about your work and
contribute back by placing information on our wiki.

-carlo

>
> On Tue Apr 13 08:05:41 EDT 2010, Carlo Landmeter <[email-masked]>
> wrote:
>
>> I also have been trying to get freepbx installed on alpine few weeks ago.
>> Freepbx depends on sql database, and because of the design philosophy
>> of Alpinelinux I have tried to install it with Sqlite3 support (which
>> should be partially supported by Freepbpx). Some info can be found
>> here:
>>  SQLite driver should still be added to Alpinelinux asterisk package
>> If you would choose to use MySQL, you will have to compile asterisk
>> addons because this holds the mysql driver for asterisk (I have tried
>> The dependency list you mention is very outdated, i think you fetched
>> this one from the included readme. I suggest you go over the install
>> One bigger deb which is missing from this list is perl, some scripts
>> depend on perl (maybe these could be converted to another language (sh
>> or php).
>> Sorry if all this info seems a bit messy, if you need help of getting
>> this to work I am willing to help. I would love to get Freepbx running
>> On Tue, Apr 13, 2010 at 10:01 AM, Kenny Aral <[email-masked]> wrote:
>>>
>>> Michael, thank you for your quick response. I've made a good amount of
>>> progress since my last email. I was able to successfully install the
>>> Apache
>>> webserver on Alpine. The problem was because I was not running Alpine
>>> from
>>> which is for CentOS Linux. As far as I can tell, these are all of the
>>> dependencies needed for the install (I put x's next to the ones that I
>>> was
>>> able to add with apk):
>>>
>>> make ?? ?? ?? ?? ?? ??x
>>> gcc ?? ?? ?? ?? ?? ?? x
>>> uclibc-dev ?? ?? ??x
>>> glib-dev ?? ?? ?? ??x
>>> g++ ?? ?? ?? ?? ?? ?? x
>>> libxml2-dev ?? ?? x
>>> tiff-dev ?? ?? ?? ??x
>>> mysql-server
>>> php-gd ?? ?? ?? ?? ??x
>>> php-mysql ?? ?? ?? x
>>> installkernel ?? x
>>> bison ?? ?? ?? ?? ?? x
>>> ncurses-dev ?? ?? x
>>> audiofile-dev
>>> subversion ?? ?? ??x
>>> libogg-dev ?? ?? ??x
>>> openssl-dev ?? ?? x
>>> mysql-dev ?? ?? ?? x
>>> lame ?? ?? ?? ?? ?? ??x
>>> asterisk ?? ?? ?? ??x
>>> asterisk-dev ?? ??x
>>>
>>> audiofile-dev. The installation has gone smoothly up until trying to
>>> setup
>>> the MySQL database. I'm getting the following error even though the mysql
>>> process is running:
>>>
>>> error: 'Access denied for user 'root'@'localhost' (using password: NO)'
>>>
>>> On Fri Apr 09 13:04:10 EDT 2010, Michael Mason <[email-masked]> wrote:
>>>
>>>> Message below
>>>>
>>>>> of Florida. I'm working on a project for a class and I'm ??attempting
>>>>> to
>>>>> but I'm having problems and there is not much documentation to help
>>>>> ??me
>>>>> with this.
>>>>
>>>> Have you gone through and tried to build apks for the program ??and its
>>>> dependencies?
>>>>> ??emailing the Alpine developers to see if you have any suggestions.
>>>>> ??As of
>>>>> I've been running Alpine Linux inside VirtualBox, and when I try to
>>>> Do you have some errors of what you are getting? Package and release
>>>> ??versions? Version of alpine you are using? Bugs can be reported here:
>>>>> Aside from this, FreePBX has a lot of dependencies so it seems like ??a
>>>>> challenging task to get this thing installed correctly. Do any of ??you
>>>>> have
>>>> I don't. If we had a list of programs and their dependencies that
>>>> ??would
>>>> help get things started.
>>>>

---